This project has moved and is read-only. For the latest updates, please go here.

The PostSharp Tools for Visual Studio is not installed, is disabled, or must be updated?

Jul 10, 2015 at 1:53 PM
Trying to use this tool to help (looks great) but after installing the package from the NuGet manager and compile, I get this error:
The PostSharp Tools for Visual Studio is not installed, is disabled, or must be updated.
I see it installed (v 4.1.15.0) but the Runtime version is v2.0.50727 (.Net 2.0 I believe).
I also tried with the latest (Pre-Released) version of 4.2.5.0, but I still get this same exception.
A search on google indicates to me that PostSharp is not free (unless it is the express version).
Does this tool work on the express version? Is there any way to make use of this without shelling out the $400 (or $700) required for one of the commercial version?